<?php
  //saabuvad id, parool ja kordusparool
  //kui paroolid kattuvad, määra vastava id-ga inimesele see parool.
  if(isSet($_REQUEST["muutmisnupp"])){
   require("baasifunktsioonid.php");
   if(!isSet($_REQUEST["parool"]) || ($_REQUEST["parool"]!=$_REQUEST["kordusparool"])){
      header("Location: loomisvorm.php?teade=".urlencode("Paroolid puuduvad või ei kattu"));
      exit();
   }
   $kogus=muudaParool($_REQUEST["id"], $_REQUEST["parool"]);
   if($kogus==0){
      header("Location: loomisvorm.php?teade=".urlencode("Muutmine ei õnnestunud"));
      exit();   
   }
   header("Location: loomisvorm.php?teade=".urlencode("Parool muudetud"));
   exit();
  }  
  header("Location: loomisvorm.php?teade=Muutmine+katkestatud"); 
?>